Bug 823313 - 'bugzilla query --assigned_to $USER' broken with latest RH bugzilla 4
'bugzilla query --assigned_to $USER' broken with latest RH bugzilla 4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 15:58 EDT by Cole Robinson
Modified: 2013-01-10 01:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-27 17:24:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2012-05-20 15:58:13 EDT
This was working at least last week:

$ bugzilla --debug query --assigned_to crobinso@redhat.com

INFO:bugzilla:Connecting to https://bugzilla.redhat.com/xmlrpc.cgi
INFO:bugzilla:Autodetecting Bugzilla type
INFO:bugzilla:Using RHBugzilla3 for URL containing bugzilla.redhat.com
INFO:bugzilla:Using cookies in /home/crobinso/.bugzillacookies for authentication
DEBUG:bugzilla:bz.query: {'emailtype1': 'substring', 'emailassigned_to1': True, 'email1': 'crobinso@redhat.com'}
DEBUG:bugzilla:request_url is https://bugzilla.redhat.com/xmlrpc.cgi
DEBUG:bugzilla:send_cookies(): using existing cookiejar
DEBUG:bugzilla:cookie_request headers currently: []
DEBUG:bugzilla:cookie_request headers now: [('Cookie', 'Bugzilla_logincookie=v2rEJmPRNC; Bugzilla_login=199727')]
DEBUG:bugzilla:sending cookie: Cookie=Bugzilla_logincookie=v2rEJmPRNC; Bugzilla_login=199727
DEBUG:bugzilla:cookiejar now contains: {'.bugzilla.redhat.com': {'/': {'Bugzilla_logincookie': Cookie(version=0, name='Bugzilla_logincookie', value='v2rEJmPRNC', port=None, port_specified=False, domain='.bugzilla.redhat.com', domain_specified=True, domain_initial_dot=True, path='/', path_specified=False, secure=True, expires=2145916800, discard=False, comment=None, comment_url=None, rest={}, rfc2109=False), 'Bugzilla_login': Cookie(version=0, name='Bugzilla_login', value='199727', port=None, port_specified=False, domain='.bugzilla.redhat.com', domain_specified=True, domain_initial_dot=True, path='/', path_specified=False, secure=True, expires=2145916800, discard=False, comment=None, comment_url=None, rest={}, rfc2109=False)}}}

Server error: <Fault 53: 'emailassigned_to1 is not a valid parameter for the Bugzilla::Bug::match function.'>


Using python-bugzilla from fedora 16.
Comment 1 Cole Robinson 2012-05-20 16:26:32 EDT
Pulled python-bugzilla from git, which has some specific bugzilla4 handling, But still the same issue:

$ bugzilla --debug query --assigned_to crobinso@redhat.com
INFO:bugzilla:Connecting to https://bugzilla.redhat.com/xmlrpc.cgi
INFO:bugzilla:Autodetecting Bugzilla type
INFO:bugzilla:Using RHBugzilla4 for URL containing bugzilla.redhat.com
INFO:bugzilla:Using cookies in /home/crobinso/.bugzillacookies for authentication
DEBUG:bugzilla:bz.query: {'emailtype1': 'substring', 'emailassigned_to1': True, 'email1': 'crobinso@redhat.com'}
DEBUG:bugzilla:request_url is https://bugzilla.redhat.com/xmlrpc.cgi
DEBUG:bugzilla:send_cookies(): using existing cookiejar
DEBUG:bugzilla:cookie_request headers currently: []
DEBUG:bugzilla:cookie_request headers now: [('Cookie', 'Bugzilla_logincookie=gNmqgZYCT6; Bugzilla_login=199727')]
DEBUG:bugzilla:sending cookie: Cookie=Bugzilla_logincookie=gNmqgZYCT6; Bugzilla_login=199727
DEBUG:bugzilla:cookiejar now contains: {'.bugzilla.redhat.com': {'/': {'Bugzilla_logincookie': Cookie(version=0, name='Bugzilla_logincookie', value='gNmqgZYCT6', port=None, port_specified=False, domain='.bugzilla.redhat.com', domain_specified=True, domain_initial_dot=False, path='/', path_specified=True, secure=True, expires=2145916800, discard=False, comment=None, comment_url=None, rest={'HttpOnly': 'None'}, rfc2109=False), 'Bugzilla_login': Cookie(version=0, name='Bugzilla_login', value='199727', port=None, port_specified=False, domain='.bugzilla.redhat.com', domain_specified=True, domain_initial_dot=False, path='/', path_specified=True, secure=True, expires=2145916800, discard=False, comment=None, comment_url=None, rest={'HttpOnly': 'None'}, rfc2109=False)}}}

Server error: <Fault 53: 'emailassigned_to1 is not a valid parameter for the Bugzilla::Bug::match function.'>
Comment 2 Simon Green 2012-05-20 18:35:28 EDT
(In reply to comment #1)
> Pulled python-bugzilla from git, which has some specific bugzilla4 handling,
> But still the same issue:
> 
> Server error: <Fault 53: 'emailassigned_to1 is not a valid parameter for the
> Bugzilla::Bug::match function.'>

As per https://partner-bugzilla.redhat.com/docs/en/html/api/Bugzilla/WebService/Bug.html#search the value you are looking for is 'assigned_to', not 'emailassigned_to1'

  -- simon
Comment 3 Cole Robinson 2012-05-20 19:03:22 EDT
Hmm, okay, the simpler thing is probably for python-bugzilla to add query_format='advanced' to the queries which preserves the old query format (which is also the same format the web search is using). Reassigning this bug to python-bugzilla
Comment 4 Dave Allan 2012-05-23 22:47:12 EDT
I'm seeing this problem as well.  It's kind of a big deal for me as I use python-bugzilla to query for various bugs assigned to people on my team.  Is there any workaround?  I feel like an idiot, but I grepped the entire sourcetree for emailassigned_to1, and I cannot find where it's coming from.
Comment 5 Cole Robinson 2012-12-27 17:24:09 EST
This has been fixed for a while

Note You need to log in before you can comment on or make changes to this bug.